<?php
// +----------------------------------------------------------------------
// | onezan-admin 快速开发的管理平台
// +----------------------------------------------------------------------
// | 官方网址：https://www.onezan.cn
// +----------------------------------------------------------------------
// | onezan团队 版权所有 开源版本可自由商用
// +----------------------------------------------------------------------
// | Author: 543885307@qq.com
// +----------------------------------------------------------------------
use app\middleware\AdminPermission;
use think\facade\Route;

Route::get('sample/category/options', 'Applications\sample\adminapi\controller\category\Category@options')
    ->middleware(AdminPermission::class, 'article.category.options');
Route::get('sample/category/list', 'Applications\sample\adminapi\controller\category\Category@list')
    ->middleware(AdminPermission::class, 'article.category.view');
Route::get('sample/category/detail/:id', 'Applications\sample\adminapi\controller\category\Category@detail')
    ->middleware(AdminPermission::class, 'article.category.view');
Route::post('sample/category/save', 'Applications\sample\adminapi\controller\category\Category@save')
    ->middleware(AdminPermission::class, 'article.category.save');
Route::post('sample/category/delete', 'Applications\sample\adminapi\controller\category\Category@delete')
    ->middleware(AdminPermission::class, 'article.category.delete');
